%define pypi_name curtsies

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 1
Summary:        Curses-like terminal wrapper, with colored strings
Group:          Development/Python
License:        MIT
URL:            https://github.com/bpython/curtsies
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Curtsies is curses-like terminal wrapper, can be to annotate portions
of strings with terminal colors and formatting.

Most terminals will display text in color if you use ANSI escape codes
- curtsies makes rendering such text to the terminal easy. Curtsies
assumes use of an VT-100 compatible terminal: unlike curses, it has no
compatibility layer for other types of terminals.

%package -n     python3-%{pypi_name}
Summary:        Curses-like terminal wrapper, with colored strings
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Curtsies is curses-like terminal wrapper, can be to annotate portions
of strings with terminal colors and formatting.

Most terminals will display text in color if you use ANSI escape codes
- curtsies makes rendering such text to the terminal easy. Curtsies
assumes use of an VT-100 compatible terminal: unlike curses, it has no
compatibility layer for other types of terminals.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sun Sep 04 2022 wally <wally> 0.4.0-1.mga9
+ Revision: 1883813
- new version 0.4.0
- switch build to use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 0.3.5-3.mga9
+ Revision: 1823035
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 0.3.5-2.mga9
+ Revision: 1779112
- Rebuild for python 3.10

* Sun Jun 27 2021 wally <wally> 0.3.5-1.mga9
+ Revision: 1733982
- new version 0.3.5

* Fri Mar 26 2021 daviddavid <daviddavid> 0.3.4-2.mga9
+ Revision: 1710274
- rebuild for python 3.9

* Fri Oct 23 2020 akien <akien> 0.3.4-1.mga8
+ Revision: 1638861
- Version 0.3.4

* Thu Feb 20 2020 umeabot <umeabot> 0.3.1-2.mga8
+ Revision: 1547582
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.3.1-1.mga8
+ Revision: 1488129
- new version: 0.3.1
- remove merged upstream patch

* Tue Sep 17 2019 wally <wally> 0.3.0-5.mga8
+ Revision: 1443204
- add upstream patch to fix requires

* Tue Sep 17 2019 daviddavid <daviddavid> 0.3.0-4.mga8
+ Revision: 1442803
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.3.0-3.mga7
+ Revision: 1351483
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1288560
- Mageia 7 Mass Rebuild
+ akien <akien>
- Version 0.3.0

* Sat Aug 05 2017 pterjan <pterjan> 0.2.11-2.mga7
+ Revision: 1135356
- Rebuild for python 3.6

* Sat Oct 29 2016 akien <akien> 0.2.11-1.mga6
+ Revision: 1063992
- Version 0.2.11

* Wed Sep 14 2016 akien <akien> 0.2.9-1.mga6
+ Revision: 1052591
- Version 0.2.9
- Autoreq handles Requires just fine, do not add them manually

* Fri Jan 15 2016 akien <akien> 0.2.6-1.mga6
+ Revision: 923236
- Version 0.2.6

* Fri Oct 09 2015 daviddavid <daviddavid> 0.1.19-2.mga6
+ Revision: 888581
- rebuild for python 3.5
- use new python macros

* Mon Jun 22 2015 akien <akien> 0.1.19-1.mga6
+ Revision: 839526
- import python-curtsies 0.1.x, needed by bpython

